﻿B4J=true
Group=Default Group
ModulesStructureVersion=1
Type=Class
Version=10
@EndOfDesignText@
Sub Class_Globals
	Private Root As B4XView 'ignore
	Private xui As XUI 'ignore
	Public pnfullscreen As Pane
End Sub
Public Sub Initialize As Object
	Return Me
End Sub
Private Sub B4XPage_Created (Root1 As B4XView)
	Root = Root1
	Root.LoadLayout("fullscreen_layout")
	B4XPages.SetTitle(Me,"pmfiles fullscreen")
	AddKeyPressedListener
	B4XPages.GetNativeParent(Me).AlwaysOnTop = True
	B4XPages.GetNativeParent(Me).Resizable = False
End Sub
Private Sub B4XPage_Appear
	Sleep(100)
	Dim jo As JavaObject = B4XPages.GetNativeParent(Me)
	Dim jos As JavaObject = jo.GetFieldJO("stage")
'	jos.RunMethod("setMaximized", Array(True))
	jos.RunMethod("setFullScreen", Array(True))
	If pnfullscreen.NumberOfNodes > 4 Then	' MediaView controller positions
		pnfullscreen.GetNode(1).Top = pnfullscreen.Height
		pnfullscreen.GetNode(2).Top = pnfullscreen.Height-220
		pnfullscreen.GetNode(2).Left = pnfullscreen.Width-20
		pnfullscreen.GetNode(3).Top = pnfullscreen.Height-250
		pnfullscreen.GetNode(3).Left = pnfullscreen.Width-26
		pnfullscreen.GetNode(4).Top = pnfullscreen.Height+50
	End If
	pnfullscreen.RequestFocus	' escape key works when the pane has focus
End Sub
Private Sub B4XPage_Resize (Width As Int, Height As Int)
	pnfullscreen.PrefWidth = Root.Width
	pnfullscreen.PrefHeight = Root.Height
	If pnfullscreen.NumberOfNodes > 0 Then
		pnfullscreen.GetNode(0).SetSize(pnfullscreen.Width,pnfullscreen.Height)
	End If
End Sub
Private Sub B4XPage_Disappear
	' attach views back to the MainPage root panel
	B4XPages.MainPage.Root.AddView(pnfullscreen.GetNode(0),420,140,860,500)
	Select B4XPages.MainPage.activeview
		Case "ta1"
			'
		Case "mv1"
			B4XPages.MainPage.mvc1.mBase.As(B4XView).RemoveViewFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.mvc1.mBase,420,550,860,80)
			B4XPages.MainPage.bsb1.mBase.As(B4XView).RemoveViewFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.bsb1.mBase,1230,329,50,230)
			B4XPages.MainPage.lblvolume.RemoveNodeFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.lblvolume,1224,301,60,30)
			B4XPages.MainPage.mvc1.pnlBottom.As(B4XView).RemoveViewFromParent
			B4XPages.MainPage.mvc1.mBase.AddView(B4XPages.MainPage.mvc1.pnlBottom,0,0,860,80)
		Case "ziv1"
			B4XPages.MainPage.btnrotate.RemoveNodeFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.btnrotate,420,99,90,40)
			B4XPages.MainPage.btnsize.RemoveNodeFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.btnsize,520,99,90,40)			
		Case "wv1"
			B4XPages.MainPage.wv1.SetSize(860,500)
			B4XPages.MainPage.wv2.RemoveNodeFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.wv2,420,140,860,500)
			B4XPages.MainPage.btnweb.RemoveNodeFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.btnweb,800,99,100,40)			
		Case "sp1", "sppagepdf"
			B4XPages.MainPage.lblpages.RemoveNodeFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.lblpages,1048,99,130,40)
			B4XPages.MainPage.ftfpage.mBase.As(B4XView).RemoveViewFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.ftfpage.mBase,1180,99,100,40)
			B4XPages.MainPage.bsbpdf.mBase.As(B4XView).RemoveViewFromParent
			B4XPages.MainPage.Root.AddView(B4XPages.MainPage.bsbpdf.mBase,900,99,150,40)
			B4XPages.MainPage.bsbpdf.Value = 100
			B4XPages.MainPage.lblpages.Text = " Total pages: " & B4XPages.MainPage.numpages
		Case "tvdb"
			B4XPages.MainPage.fill_tableview(B4XPages.MainPage.tablename)
		Case Else
			'
	End Select
	B4XPages.ClosePage(Me)
End Sub
Sub AddKeyPressedListener
	Dim r As Reflector
	r.Target = Root
	r.AddEventHandler("KeyPressed", "javafx.scene.input.KeyEvent.KEY_PRESSED")
	r.AddEventHandler("KeyPressed", "javafx.scene.input.KeyEvent.KEY_RELEASED")
End Sub
Private Sub KeyPressed_Event(e As Event)
	Dim keyevent As Reflector
	keyevent.Target = e
	Dim KeyCode As String = keyevent.RunMethod("getCode")
	Dim EventType As String = keyevent.RunMethod("getEventType")
'	Log("keycode: " & KeyCode)
'	Log("eventtype: " & EventType)
	Select EventType
		Case "KEY_PRESSED"
			Select KeyCode
				Case "ESCAPE"
'					Log("escape pressed")
					B4XPages.ClosePage(Me)
			End Select
		Case "KEY_RELEASED"
			
	End Select
	e.Consume
End Sub
